/Users/bernard/b20/bsoft/tcltk/bshow_tomo.tcl(3)

NAME
/Users/bernard/b20/bsoft/tcltk/bshow_tomo.tcl - Procedures to manage tomographic images.

SYNOPSIS

  Functions
Tomography
Dialog box to manage tomographic information.
setTiltAxis
Sets the tilt axis angle.
Tilts
Dialog box to set the tilts for a tomographic series.
setTilts_and_DestroyWindow w
Generates the tilt list for a tomographic series.
readTlt
Reads tilt angles from a rawtlt file.
drawTiltAxis
Draws the tilt axis on the canvas.
markerSelect x y
Selects a marker.
markerSelectAppend x y
Appends marker at a location to list of selected markers.
markerSetSelection x y
The marker selection is reset and set to within a rectangle.
markerCreateSelect x y
Selects or creates a marker.
markerGenerate
Generates markers from a seed.
markerExtract
Extracts markers from a micrograph.
markerMove x y
Moves the selected markers.
markerDraw id
Draws a marker with an error line and label.
markerDrawAll
Redraws all markers on the canvas.
markerDelete x y
Deletes the selected marker.
markerDeleteID id
Deletes the selected marker.
markerDeleteSelected
Deletes all the selected markers.
markerDeleteSelectedAll
Deletes all the selected markers in all images.
markerDeleteAll
Deletes all markers.
markerRenumber
Renumbers markers in the current micrograph.
markerCenter
Centers markers in the current micrograph.
markerFind n
Finds markers in a file.
setEdge edge
markerSnap x y
Centers the selected marker.
updateResidual
Updates the residual calculation which also sets all marker residuals.
updateTomoTable
Updates the tomographic table from the micrograph parameters in memory.
updateMarkerParam
Updates marker parameters from the micrograph parameters in memory.
markerSetSelectFlag
Sets the selection flag for the selected markers.
markerClearSelectFlag
Clears the selection flag for the selected markers.
markerTable
Sets up the window for the marker table and updates it.
updateMarkerTable
Updates the marker table.
moveCanvasTo img_num loc
Centers the viewable canvas on the location in the image.
goToMarker w id isel img
Goes to a marker.
markerNextResidual w dir
Goes to the next marker based on its residual.
markerNextFOM w dir
Goes to next marker based on its FOM.
markerAcceptModelLocation
Accepts the model locations of selected markers.
alignAverageFrames
Aligns a series of frames from dose fractionation.
doAlignAverageFrames w
Aligns and averages frames.
normalizeImages
Normalizes a series of images based on simple statistics.
doNormalizeImages w
Normalizes images.
findTiltAxis
doFindTiltAxis w
Executes the tilt axis search.
markerTransfer
doMarkerTransfer w
Executes the marker transfer.
markerTrack
Tracks the markers through the tilt series.
doMarkerTrack w
Executes marker tracking.
markerRefine
Refines marker positions and micrograph geometry.
doMarkerRefine w
Does a refinement of markers or views.
refineMarker
Refines one marker position.
tomoPowerSpectra
Dialog box for calculating tilt-adjusted power spectra.
doTomoPowerSpectra w
Calculating tilt-adjusted power spectra.
tomoResolution
Estimates the resolution of images in a tilt series.
doTomoResolution w
Executes estimation of the resolution of the tilt series.
tomoReconstruct
Reconstructs a tomogram.
doTomoReconstruct w
Executes tomogram reconstruction.
tomoDenoise
Denoises a tomogram.
doTomoDenoise w
Executes tomogram denoising.

Detailed Description

Procedures to manage tomographic images.

Author:
    Bernard Heymann

Date:
    Created: 20021112

    Modified: 20180730

Definition in file bshow_tomo.tcl.

Function Documentation

  alignAverageFrames

Aligns a series of frames from dose fractionation.

Definition at line 1234 of file bshow_tomo.tcl.

  doAlignAverageFramesw

Aligns and averages frames.

Parameters:
    w dialog window.

Definition at line 1284 of file bshow_tomo.tcl.

  doFindTiltAxisw

Executes the tilt axis search.

Parameters:
    w dialog window.

Definition at line 1417 of file bshow_tomo.tcl.

  doMarkerRefinew

Does a refinement of markers or views.

Parameters:
    w dialog window.

Definition at line 1643 of file bshow_tomo.tcl.

  doMarkerTrackw

Executes marker tracking.

Parameters:
    w dialog window.

Definition at line 1566 of file bshow_tomo.tcl.

  doMarkerTransferw

Executes the marker transfer.

Parameters:
    w dialog window.

Definition at line 1484 of file bshow_tomo.tcl.

  doNormalizeImagesw

Normalizes images.

Parameters:
    w dialog window.

Definition at line 1348 of file bshow_tomo.tcl.

  doTomoDenoisew

Executes tomogram denoising.

Parameters:
    w dialog window.

Definition at line 1999 of file bshow_tomo.tcl.

  doTomoPowerSpectraw

Calculating tilt-adjusted power spectra.

Definition at line 1742 of file bshow_tomo.tcl.

  doTomoReconstructw

Executes tomogram reconstruction.

Parameters:
    w dialog window.

Definition at line 1911 of file bshow_tomo.tcl.

  doTomoResolutionw

Executes estimation of the resolution of the tilt series.

Parameters:
    w dialog window.

Definition at line 1818 of file bshow_tomo.tcl.

  drawTiltAxis

Draws the tilt axis on the canvas.

Definition at line 354 of file bshow_tomo.tcl.

  findTiltAxis

Definition at line 1365 of file bshow_tomo.tcl.

  goToMarkerw id isel img

Goes to a marker.

Parameters:
    w dialog window.
    id marker identifier
    isel offset in table ?
    img micrograph index

Definition at line 1086 of file bshow_tomo.tcl.

  markerAcceptModelLocation

Accepts the model locations of selected markers.

Definition at line 1215 of file bshow_tomo.tcl.

  markerCenter

Centers markers in the current micrograph.

Definition at line 764 of file bshow_tomo.tcl.

  markerClearSelectFlag

Clears the selection flag for the selected markers.

Definition at line 952 of file bshow_tomo.tcl.

  markerCreateSelectx y

Selects or creates a marker.

Parameters:
    x
    y Marker position in canvas coordinates.

Definition at line 474 of file bshow_tomo.tcl.

  markerDeletex y

Deletes the selected marker.

Parameters:
    x
    y Marker position in canvas coordinates.

Definition at line 684 of file bshow_tomo.tcl.

  markerDeleteAll

Deletes all markers.

Definition at line 741 of file bshow_tomo.tcl.

  markerDeleteIDid

Deletes the selected marker.

Parameters:
    id Marker identifier.

Definition at line 700 of file bshow_tomo.tcl.

  markerDeleteSelected

Deletes all the selected markers.

Definition at line 714 of file bshow_tomo.tcl.

  markerDeleteSelectedAll

Deletes all the selected markers in all images.

Definition at line 729 of file bshow_tomo.tcl.

  markerDrawid

Draws a marker with an error line and label.

Parameters:
    id Marker identifier.

Definition at line 600 of file bshow_tomo.tcl.

  markerDrawAll

Redraws all markers on the canvas.

Definition at line 656 of file bshow_tomo.tcl.

  markerExtract

Extracts markers from a micrograph.

Definition at line 542 of file bshow_tomo.tcl.

  markerFindn

Finds markers in a file.

Parameters:
    n Image number.

Definition at line 778 of file bshow_tomo.tcl.

  markerGenerate

Generates markers from a seed.

Definition at line 530 of file bshow_tomo.tcl.

  markerMovex y

Moves the selected markers.

Parameters:
    x
    y Mouse position in canvas coordinates.

Definition at line 564 of file bshow_tomo.tcl.

  markerNextFOMw dir

Goes to next marker based on its FOM.

Parameters:
    w dialog window.
    dir direction: min, lower, higher, max

Definition at line 1163 of file bshow_tomo.tcl.

  markerNextResidualw dir

Goes to the next marker based on its residual.

Parameters:
    w dialog window.
    dir direction: min, lower, higher, max

Definition at line 1109 of file bshow_tomo.tcl.

  markerRefine

Refines marker positions and micrograph geometry.

Definition at line 1595 of file bshow_tomo.tcl.

  markerRenumber

Renumbers markers in the current micrograph.

Definition at line 752 of file bshow_tomo.tcl.

  markerSelectx y

Selects a marker.

Parameters:
    x
    y Marker position in canvas coordinates.

Definition at line 398 of file bshow_tomo.tcl.

  markerSelectAppendx y

Appends marker at a location to list of selected markers.

Parameters:
    x
    y Cursor position in window coordinates.

Definition at line 433 of file bshow_tomo.tcl.

  markerSetSelectFlag

Sets the selection flag for the selected markers.

Definition at line 938 of file bshow_tomo.tcl.

  markerSetSelectionx y

The marker selection is reset and set to within a rectangle.

Parameters:
    x
    y Marker position in canvas coordinates.

Definition at line 447 of file bshow_tomo.tcl.

  markerSnapx y

Centers the selected marker.

Parameters:
    x
    y Marker position in canvas coordinates.

Definition at line 845 of file bshow_tomo.tcl.

  markerTable

Sets up the window for the marker table and updates it.

Definition at line 966 of file bshow_tomo.tcl.

  markerTrack

Tracks the markers through the tilt series.

Definition at line 1506 of file bshow_tomo.tcl.

  markerTransfer

Definition at line 1441 of file bshow_tomo.tcl.

  moveCanvasToimg_num loc

Centers the viewable canvas on the location in the image.

Parameters:
    img_num image number.
    loc location list.

Definition at line 1063 of file bshow_tomo.tcl.

  normalizeImages

Normalizes a series of images based on simple statistics.

Definition at line 1304 of file bshow_tomo.tcl.

  readTlt

Reads tilt angles from a rawtlt file.

Definition at line 326 of file bshow_tomo.tcl.

  refineMarker

Refines one marker position.

Definition at line 1663 of file bshow_tomo.tcl.

  setEdgeedge

Definition at line 831 of file bshow_tomo.tcl.

  setTiltAxis

Sets the tilt axis angle.

Definition at line 253 of file bshow_tomo.tcl.

  setTilts_and_DestroyWindoww

Generates the tilt list for a tomographic series.

Parameters:
    w the window to destroy.

Definition at line 306 of file bshow_tomo.tcl.

  Tilts

Dialog box to set the tilts for a tomographic series.

Definition at line 264 of file bshow_tomo.tcl.

  tomoDenoise

Denoises a tomogram.

Definition at line 1946 of file bshow_tomo.tcl.

  Tomography

Dialog box to manage tomographic information.

Definition at line 27 of file bshow_tomo.tcl.

  tomoPowerSpectra

Dialog box for calculating tilt-adjusted power spectra.

Definition at line 1681 of file bshow_tomo.tcl.

  tomoReconstruct

Reconstructs a tomogram.

Definition at line 1844 of file bshow_tomo.tcl.

  tomoResolution

Estimates the resolution of images in a tilt series.

Definition at line 1770 of file bshow_tomo.tcl.

  updateMarkerParam

Updates marker parameters from the micrograph parameters in memory.

Definition at line 919 of file bshow_tomo.tcl.

  updateMarkerTable

Updates the marker table.

Definition at line 1044 of file bshow_tomo.tcl.

  updateResidual

Updates the residual calculation which also sets all marker residuals.

Definition at line 860 of file bshow_tomo.tcl.

  updateTomoTable

Updates the tomographic table from the micrograph parameters in memory.

Definition at line 871 of file bshow_tomo.tcl.

Author

Generated automatically by Doxygen for Bsoft from the source code.